Last Comment Bug 837003 - Privacy component changes.
: Privacy component changes.
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: All All
: -- minor (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 17:47 PST by Tom Lowenthal [:StrangeCharm]
Modified: 2013-02-21 04:27 PST (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Tom Lowenthal [:StrangeCharm] 2013-01-31 17:47:27 PST
I'd like to ask for the following changes to the components in the Privacy product.

1. Rename the "Privacy Review" component to "Product Review".
2. Add a new "Initiative Review" component, with default assignee smartin@mozilla.com.
3. Add a new "Partner Review" component, with default assignee ahua@mozilla.com, and default CC afowler@mozilla.com.

Stacy and Alina will provide the descriptions for the two new components.
Comment 1 David Lawrence [:dkl] 2013-02-01 08:00:17 PST
(In reply to Tom Lowenthal [:StrangeCharm] from comment #0)
> I'd like to ask for the following changes to the components in the Privacy
> product.
> 
> 1. Rename the "Privacy Review" component to "Product Review".
> 2. Add a new "Initiative Review" component, with default assignee
> smartin@mozilla.com.
> 3. Add a new "Partner Review" component, with default assignee
> ahua@mozilla.com, and default CC afowler@mozilla.com.
> 
> Stacy and Alina will provide the descriptions for the two new components.

Once we have the descriptions, we can move forward with this request.

https://wiki.mozilla.org/BMO/Requesting_Changes#Components

Thanks
dkl
Comment 2 Stacy Martin [:stacy] 2013-02-04 15:18:37 PST
Initiative Review = includes marketing campaigns, such as surveys, online advertising or communications; online data collection efforts such as contributor sign up forms or event sign up forms; and MoFo efforts, such as Open Badges.
Comment 3 Alina Hua 2013-02-04 15:18:51 PST
Product Review description:
Includes new/existing products and features that involve user data


Partner Review description:
Includes new/existing product-related business partners that may collect, use or maintain any user data
Comment 4 David Lawrence [:dkl] 2013-02-04 19:51:28 PST
done
Comment 5 David Lawrence [:dkl] 2013-02-07 09:19:27 PST
Reopening as I made a mistake when changing the Privacy Review component to Product Review. The Mozilla Project Review form code has the old component name hard coded and needs to be updated. Right now with the rename, the form is not working. I will rename back to Product Review when I can get another code push.

dkl
Comment 6 David Lawrence [:dkl] 2013-02-14 09:17:51 PST
Code change committed. Will change the component name for Product Review to match once this change is live. Hopefully the push with this will be next week on wed/thu. Leaving open for now til this is done.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0             
modified extensions/MozProjectReview/Extension.pm
Committed revision 8484.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/MozProjectReview/Extension.pm
Committed revision 8555.

dkl
Comment 7 David Lawrence [:dkl] 2013-02-21 04:27:02 PST
Closing as the code has been pushed live and I have changed to the component to 'Product Review'.

dkl

Note You need to log in before you can comment on or make changes to this bug.